Opened 18 years ago

Closed 15 years ago

Last modified 15 years ago

#149 closed defect (later)

BUG: emacs +x11 produces "Bus error" crasher

Reported by: invalidname@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 1.0
Keywords: Cc: peter.kyme@…, yeled@…, mike@…
Port:

Description

Used "port install emacs +x11" to create emacs on 300MHz G3 iBook running Mac OS X 10.2.1, (XDarwin 1.1.0.1, OroborOSX 0.8b2). The resulting /opt/local/bin/emacs and /opt/local/bin/emacs-21.2 always die at startup with the following error:

[moogle:~] cadamson% /opt/local/bin/emacs Fatal error (10).Bus error [moogle:~] cadamson% /opt/local/bin/emacs-21.2 Fatal error (10).Bus error [moogle:~] cadamson%

Build log: [crudsmuck, it's too big for a bugzilla comment... I'll attach it to the filed bug]

Attachments (1)

darwin ports emacs build and err (119.2 KB) - added by invalidname@… 18 years ago.
build log and runtime error messages

Download all attachments as: .zip

Change History (26)

Changed 18 years ago by invalidname@…

build log and runtime error messages

comment:1 Changed 18 years ago by invalidname@…

Duh, should have realized it would leave me a crash.emacs.log when it crashes. Will this help?

[moogle:~/Library/Logs/CrashReporter] cadamson% more emacs.crash.log

Date/Time: 2002-11-12 15:14:59 -0500 OS Version: 10.2.2 (Build 6F21) Host: moogle.vninet.com

Command: emacs PID: 1042

Exception: EXC_BAD_ACCESS (0x0001) Codes: KERN_PROTECTION_FAILURE (0x0002) at 0x00000004

Thread 0 Crashed:

#0 0x900746c8 in memmove #1 0x007d6778 in GetResources #2 0x007d6b2c in _XtGetResources #3 0x007c4e08 in xtCreate #4 0x007c5384 in _XtCreateWidget #5 0x0007f3ec in x_window (xfns.c:3651) #6 0x00080a20 in Fx_create_frame (xfns.c:4440) #7 0x000f9da8 in Ffuncall (eval.c:2660) #8 0x00129ac4 in Fbyte_code (bytecode.c:718) #9 0x000fa4b0 in funcall_lambda (eval.c:2856) #10 0x000f9f10 in Ffuncall (eval.c:2716) #11 0x00129ac4 in Fbyte_code (bytecode.c:718) #12 0x000fa4b0 in funcall_lambda (eval.c:2856) #13 0x000f9f10 in Ffuncall (eval.c:2716) #14 0x00129ac4 in Fbyte_code (bytecode.c:718) #15 0x000fa4b0 in funcall_lambda (eval.c:2856) #16 0x000f9f10 in Ffuncall (eval.c:2716) #17 0x00129ac4 in Fbyte_code (bytecode.c:718) #18 0x000fa4b0 in funcall_lambda (eval.c:2856) #19 0x000f9f10 in Ffuncall (eval.c:2716) #20 0x00129ac4 in Fbyte_code (bytecode.c:718) #21 0x000fa4b0 in funcall_lambda (eval.c:2856) #22 0x000fa150 in apply_lambda (eval.c:2773) #23 0x000f8ebc in Feval (eval.c:2071) #24 0x000f75d0 in internal_condition_case (eval.c:1268) #25 0x00094dc8 in top_level_1 (keyboard.c:1262) #26 0x000f703c in internal_catch (eval.c:1030) #27 0x00094c6c in command_loop (keyboard.c:1224) #28 0x000945b8 in recursive_edit_1 (keyboard.c:951) #29 0x00094768 in Frecursive_edit (keyboard.c:1007) #30 0x0009321c in main (emacs.c:1555) #31 0x00002644 in _start (crt.c:267) #32 0x000024c4 in start

PPC Thread State:

srr0: 0x900746c8 srr1: 0x0000f930 vrsave: 0x00000000

xer: 0x00000000 lr: 0x007d6778 ctr: 0x9007464c mq: 0x00000000

r0: 0x00000000 r1: 0xbfffc7f0 r2: 0x48024242 r3: 0x00a24b58 r4: 0x00000004 r5: 0x00000004 r6: 0x00a24b54 r7: 0xbfffc830 r8: 0x00000000 r9: 0x007fa23c r10: 0x00000000 r11: 0x007f91f0

r12: 0x00a24b58 r13: 0x00a24ad0 r14: 0xbfffc850 r15: 0x007fa240 r16: 0x007fa23c r17: 0x00a24ad0 r18: 0x0000005c r19: 0x00000000 r20: 0x00000000 r21: 0x0000001f r22: 0xbfffc850 r23: 0x00000017 r24: 0x00a24aac r25: 0x000001bc r26: 0x00000000 r27: 0x00213f58 r28: 0x000001bc r29: 0xbfffcbcc r30: 0xbfffc9f7 r31: 0x007d5d44

comment:2 Changed 18 years ago by landonf@…

Owner: changed from kevin@… to landonf@…

comment:3 Changed 18 years ago by landonf@…

Status: newassigned

Christian Swinehart of the fink project noted the following:

Uses Apple's patches to work with the Mach-O format. Needs a dirty trick to link against the static X11 libraries; it doesn't work when linked against the shared libraries. It also doesn't work with XFree 4.1 so the necessary 4.0 libraries are downloaded separately.

Needs a small patch to a Makefile to also link against Xpm, which is required by the recent versions of Xaw.

The XLIB_ILLEGAL_ACCESS define seems to be needed to compile with Xtools. There are reports that the static libraries in Xtools are broken; if you have build problems you may want to try the binary distribution.

Christian went on to hack the software into working. I'll see if we can borrow from his work.

comment:4 Changed 18 years ago by landonf@…

Resolution: later
Status: assignedclosed

The fink hacks are pretty ugly. If someone wants to submit patches for the port, I'll accept them, otherwise I'll wait for the upstream fixes. We should add an xemacs port.

comment:5 Changed 16 years ago by pguyot (Paul Guyot)

Cc: peter.kyme@… added

comment:6 Changed 16 years ago by pguyot (Paul Guyot)

* Bug 1207 has been marked as a duplicate of this bug. *

comment:7 Changed 16 years ago by pguyot (Paul Guyot)

Resolution: later
Status: closedreopened

comment:8 Changed 15 years ago by snu@…

Owner: changed from landonf@… to jkh@…
Status: reopenednew
Summary: "port install emacs +x11" produces "Bus error" crasherBUG: emacs +x11 produces "Bus error" crasher

By the way, there is an xemacs port.

comment:9 Changed 15 years ago by eric.stokes@…

This also happens with emacs-21.4(cough a) on 10.4 (assuming you are patient enough to build it). Though, this crash happens in a very different place, which is interesting.

Host Name: ryoko Date/Time: 2005-05-10 15:59:38.009 -0700 OS Version: 10.4 (Build 8A428) Report Version: 3

Command: emacs Path: /opt/local/bin/emacs Parent: bash [13383]

Version: ??? (???)

PID: 24025 Thread: 0

Exception: EXC_BAD_ACCESS (0x0001) Codes: KERN_PROTECTION_FAILURE (0x0002) at 0x00000004

Thread 0 Crashed: 0 <<00000000>> 0xffff8810 memcpy + 112 (cpu_capabilities.h:189) 1 libXt.6.dylib 0x9cd8e4f4 GetResources + 2520 2 libXt.6.dylib 0x9cd8e890 _XtGetResources + 272 3 libXt.6.dylib 0x9cd77dc0 xtCreate + 356 4 libXt.6.dylib 0x9cd783d4 _XtCreateWidget + 656 5 libXt.6.dylib 0x9cd78490 XtCreateWidget + 160 6 emacs 0x000e0650 x_window + 1988 (crt.c:355) 7 emacs 0x000e2908 Fx_create_frame + 5128 (crt.c:355) 8 emacs 0x001bc2ec Ffuncall + 1388 (crt.c:355) 9 emacs 0x00214d64 Fbyte_code + 3284 (crt.c:355) 10 emacs 0x001bd0c0 funcall_lambda + 1360 (crt.c:355) 11 emacs 0x001bc674 Ffuncall + 2292 (crt.c:355) 12 emacs 0x00214d64 Fbyte_code + 3284 (crt.c:355) 13 emacs 0x001bd0c0 funcall_lambda + 1360 (crt.c:355) 14 emacs 0x001bc674 Ffuncall + 2292 (crt.c:355) 15 emacs 0x00214d64 Fbyte_code + 3284 (crt.c:355) 16 emacs 0x001bd0c0 funcall_lambda + 1360 (crt.c:355) 17 emacs 0x001bc674 Ffuncall + 2292 (crt.c:355) 18 emacs 0x00214d64 Fbyte_code + 3284 (crt.c:355) 19 emacs 0x001bd0c0 funcall_lambda + 1360 (crt.c:355) 20 emacs 0x001bc674 Ffuncall + 2292 (crt.c:355) 21 emacs 0x00214d64 Fbyte_code + 3284 (crt.c:355) 22 emacs 0x001bd0c0 funcall_lambda + 1360 (crt.c:355) 23 emacs 0x001bcad4 apply_lambda + 520 (crt.c:355) 24 emacs 0x001ba838 Feval + 2736 (crt.c:355) 25 emacs 0x001056d4 top_level_2 + 48 (crt.c:355) 26 emacs 0x001b8308 internal_condition_case + 384 (crt.c:355) 27 emacs 0x00105750 top_level_1 + 96 (crt.c:355) 28 emacs 0x001b7b7c internal_catch + 276 (crt.c:355) 29 emacs 0x0010559c command_loop + 200 (crt.c:355) 30 emacs 0x00104b88 recursive_edit_1 + 240 (crt.c:355) 31 emacs 0x00104e0c Frecursive_edit + 308 (crt.c:355) 32 emacs 0x00102a28 main + 4332 (crt.c:355) 33 emacs 0x00002228 _start + 348 (crt.c:272) 34 emacs 0x000020c8 start + 60

Thread 0 crashed with PPC Thread State:

srr0: 0xffff8810 srr1: 0x0200f930 vrsave: 0x00000000

cr: 0x24022224 xer: 0x00000004 lr: 0x9cd8e4f4 ctr: 0x901241c0 r0: 0x00000000 r1: 0xbfffbea0 r2: 0xffffff77 r3: 0x01519098 r4: 0x00000004 r5: 0x00000004 r6: 0x01519094 r7: 0xbfffbee0 r8: 0x00000000 r9: 0xacd6db3c r10: 0x00000000 r11: 0xacd70214

r12: 0x01519098 r13: 0xbfffd798 r14: 0xbfffbf00 r15: 0x00000000 r16: 0x0000005c r17: 0x01519010 r18: 0x01518fec r19: 0x0000001f r20: 0xbfffbee0 r21: 0x00000000 r22: 0x00000017 r23: 0xbfffbf00 r24: 0x01519010 r25: 0x00000000 r26: 0x000001bb r27: 0x00000000 r28: 0x000001bb r29: 0x00000000 r30: 0x0031c5b8 r31: 0x9cd8db3c

Binary Images Description:

0x1000 - 0x263fff emacs /opt/local/bin/emacs

0x38b000 - 0x39bfff libz.1.dylib /opt/local/lib/libz.1.dylib 0x3a9000 - 0x3c5fff libjpeg.62.dylib /opt/local/lib/libjpeg.62.dylib 0x505000 - 0x536fff libpng.3.dylib /opt/local/lib/libpng.3.dylib 0x713000 - 0x75bfff libtiff.3.dylib /opt/local/lib/libtiff.3.dylib

0x8fe00000 - 0x8fe50fff dyld 43 /usr/lib/dyld 0x90000000 - 0x901a6fff libSystem.B.dylib /usr/lib/libSystem.B.dylib 0x901fe000 - 0x90202fff libmathCommon.A.dylib /usr/lib/system/libmathCommon.A.d ylib 0x91d33000 - 0x91d53fff libmx.A.dylib /usr/lib/libmx.A.dylib 0x95482000 - 0x95505fff libstdc++.6.dylib /usr/lib/libstdc++.6.dylib 0x95583000 - 0x9558bfff libgcc_s.1.dylib /usr/lib/libgcc_s.1.dylib 0x9680c000 - 0x9683afff libncurses.5.4.dylib /usr/lib/libncurses.5.4.dylib 0x9adf1000 - 0x9ae00fff libICE.6.dylib /usr/X11R6/lib/libICE.6.dylib 0x9ae06000 - 0x9ae0bfff libSM.6.dylib /usr/X11R6/lib/libSM.6.dylib 0x9c9ce000 - 0x9c9d9fff libXext.6.dylib /usr/X11R6/lib/libXext.6.dylib 0x9c9de000 - 0x9caa6fff libX11.6.dylib /usr/X11R6/lib/libX11.6.dylib 0x9cd6e000 - 0x9cdb0fff libXt.6.dylib /usr/X11R6/lib/libXt.6.dylib 0x9cdff000 - 0x9ce0ffff libXmu.6.dylib /usr/X11R6/lib/libXmu.6.dylib 0x9ce21000 - 0x9ce2cfff libXpm.4.dylib /usr/X11R6/lib/libXpm.4.dylib 0x9ffa7000 - 0x9ffeafff libXaw.7.dylib /usr/X11R6/lib/libXaw.7.dylib

comment:10 Changed 15 years ago by mike@…

Cc: mike@… added

comment:11 Changed 15 years ago by snu@…

Owner: changed from jkh@… to darwinports-bugs@…

Jordan has relinquished maintainership of these ports.

comment:12 Changed 15 years ago by nathan.stocks@…

Cc: nathan.stocks@… added

The bug exists for 'emacs +x11' on Tiger for me as well. Does anyone have a workaround?? I'm currently stuck with fink's 21.2, but I'd really love to use 21.4.

$ /opt/local/bin/emacs Warning: Lisp directory `/opt/local/share/emacs/21.4/leim' does not exist. Fatal error (10).Bus error

cat Emacs.crash.log

Host Name: hidden Date/Time: 2005-08-31 14:47:07.352 -0600 OS Version: 10.4.2 (Build 8C46) Report Version: 3

Command: emacs Path: /opt/local/bin/emacs Parent: bash [515]

Version: ??? (???)

PID: 1233 Thread: 0

Exception: EXC_BAD_ACCESS (0x0001) Codes: KERN_PROTECTION_FAILURE (0x0002) at 0x00000004

Thread 0 Crashed: 0 <<00000000>> 0xffff8810 memcpy + 112 (cpu_capabilities.h:189) 1 libXt.6.dylib 0x9cdc74f4 GetResources + 2520 2 libXt.6.dylib 0x9cdc7890 _XtGetResources + 272 3 libXt.6.dylib 0x9cdb0dc0 xtCreate + 356 4 libXt.6.dylib 0x9cdb13d4 _XtCreateWidget + 656 5 libXt.6.dylib 0x9cdb1490 XtCreateWidget + 160 6 emacs 0x000e05d0 x_window + 1988 (crt.c:355) 7 emacs 0x000e2888 Fx_create_frame + 5128 (crt.c:355) 8 emacs 0x001bc26c Ffuncall + 1388 (crt.c:355) 9 emacs 0x00214d84 Fbyte_code + 3284 (crt.c:355) 10 emacs 0x001bd040 funcall_lambda + 1360 (crt.c:355) 11 emacs 0x001bc5f4 Ffuncall + 2292 (crt.c:355) 12 emacs 0x00214d84 Fbyte_code + 3284 (crt.c:355) 13 emacs 0x001bd040 funcall_lambda + 1360 (crt.c:355) 14 emacs 0x001bc5f4 Ffuncall + 2292 (crt.c:355) 15 emacs 0x00214d84 Fbyte_code + 3284 (crt.c:355) 16 emacs 0x001bd040 funcall_lambda + 1360 (crt.c:355) 17 emacs 0x001bc5f4 Ffuncall + 2292 (crt.c:355) 18 emacs 0x00214d84 Fbyte_code + 3284 (crt.c:355) 19 emacs 0x001bd040 funcall_lambda + 1360 (crt.c:355) 20 emacs 0x001bc5f4 Ffuncall + 2292 (crt.c:355) 21 emacs 0x00214d84 Fbyte_code + 3284 (crt.c:355) 22 emacs 0x001bd040 funcall_lambda + 1360 (crt.c:355) 23 emacs 0x001bca54 apply_lambda + 520 (crt.c:355) 24 emacs 0x001ba7b8 Feval + 2736 (crt.c:355) 25 emacs 0x00105654 top_level_2 + 48 (crt.c:355) 26 emacs 0x001b8288 internal_condition_case + 384 (crt.c:355) 27 emacs 0x001056d0 top_level_1 + 96 (crt.c:355) 28 emacs 0x001b7afc internal_catch + 276 (crt.c:355) 29 emacs 0x0010551c command_loop + 200 (crt.c:355) 30 emacs 0x00104b08 recursive_edit_1 + 240 (crt.c:355) 31 emacs 0x00104d8c Frecursive_edit + 308 (crt.c:355) 32 emacs 0x001029a8 main + 4332 (crt.c:355) 33 emacs 0x000021a8 _start + 348 (crt.c:272) 34 emacs 0x00002048 start + 60

Thread 0 crashed with PPC Thread State 64:

srr0: 0x00000000ffff8810 srr1: 0x000000000200f930

vrsave: 0x0000000000000000

cr: 0x24022224 xer: 0x0000000000000004 lr: 0x000000009cdc74f4

ctr: 0x00000000901241e0

r0: 0x0000000000000000 r1: 0x00000000bfffbbc0 r2: 0x00000000ffffff77

r3: 0x0000000001519038

r4: 0x0000000000000004 r5: 0x0000000000000004 r6: 0x0000000001519034

r7: 0x00000000bfffbc00

r8: 0x0000000000000000 r9: 0x00000000acda6b3c r10: 0x0000000000000000

r11: 0x00000000acda9214

r12: 0x0000000001519038 r13: 0x00000000bfffd4b8 r14: 0x00000000bfffbc20

r15: 0x0000000000000000

r16: 0x000000000000005c r17: 0x0000000001518fb0 r18: 0x0000000001518f8c

r19: 0x000000000000001f

r20: 0x00000000bfffbc00 r21: 0x0000000000000000 r22: 0x0000000000000017

r23: 0x00000000bfffbc20

r24: 0x0000000001518fb0 r25: 0x0000000000000000 r26: 0x00000000000001bb

r27: 0x0000000000000000

r28: 0x00000000000001bb r29: 0x0000000000000000 r30: 0x000000000031c5b8

r31: 0x000000009cdc6b3c

Binary Images Description:

0x1000 - 0x263fff emacs /opt/local/bin/emacs

0x38b000 - 0x39bfff libz.1.dylib /opt/local/lib/libz.1.dylib 0x3a9000 - 0x3c5fff libjpeg.62.dylib /opt/local/lib/libjpeg.62.dylib 0x505000 - 0x536fff libpng.3.dylib /opt/local/lib/libpng.3.dylib 0x713000 - 0x75cfff libtiff.3.dylib /opt/local/lib/libtiff.3.dylib

0x8fe00000 - 0x8fe51fff dyld 43.1 /usr/lib/dyld 0x90000000 - 0x901a6fff libSystem.B.dylib /usr/lib/libSystem.B.dylib 0x901fe000 - 0x90202fff libmathCommon.A.dylib /usr/lib/system/libmathCommon.A.dylib 0x91d3a000 - 0x91d5afff libmx.A.dylib /usr/lib/libmx.A.dylib 0x96825000 - 0x96853fff libncurses.5.4.dylib /usr/lib/libncurses.5.4.dylib 0x9ae47000 - 0x9ae56fff libICE.6.dylib /usr/X11R6/lib/libICE.6.dylib 0x9ae5c000 - 0x9ae61fff libSM.6.dylib /usr/X11R6/lib/libSM.6.dylib 0x9ca07000 - 0x9ca12fff libXext.6.dylib /usr/X11R6/lib/libXext.6.dylib 0x9ca17000 - 0x9cadffff libX11.6.dylib /usr/X11R6/lib/libX11.6.dylib 0x9cda7000 - 0x9cde9fff libXt.6.dylib /usr/X11R6/lib/libXt.6.dylib 0x9ce38000 - 0x9ce48fff libXmu.6.dylib /usr/X11R6/lib/libXmu.6.dylib 0x9ce5a000 - 0x9ce65fff libXpm.4.dylib /usr/X11R6/lib/libXpm.4.dylib 0x9ffa7000 - 0x9ffeafff libXaw.7.dylib /usr/X11R6/lib/libXaw.7.dylib

comment:13 Changed 15 years ago by nathan.stocks@…

Upgraded to the latest Xcode (2.1), now I get a different fatal error for emacs +x11:

$ /opt/local/bin/emacs Illegal instruction


Date/Time: 2005-11-04 09:20:13.565 -0700 OS Version: 10.4.3 (Build 8F46) Report Version: 3

Command: emacs Path: /opt/local/bin/emacs Parent: bash [782]

Version: ??? (???)

PID: 20555 Thread: 0

Exception: EXC_BAD_INSTRUCTION (0x0002) Code[0]: 0x00000002 Code[1]: 0x00001acc

Thread 0 Crashed: 0 emacs 0x00001acc start + 0 1 dyld 0x8fe01048 _dyld_start + 60

Thread 0 crashed with PPC Thread State 64:

srr0: 0x0000000000001acc srr1: 0x000000000008d030 vrsave:

0x0000000000000000

cr: 0x22000022 xer: 0x0000000000000000 lr: 0x000000008fe01048 ctr:

0x0000000000001acc

r0: 0x000000008fe01048 r1: 0x00000000bffff3f0 r2: 0x0000000000001ad0 r3:

0x0000000000001acc

r4: 0x000000008fe5ebb0 r5: 0x0000000000000000 r6: 0x000000000000348d r7:

0x0000000000000000

r8: 0x000000000001939e r9: 0x0000000000000025 r10: 0x0000000000000004 r11:

0x0000000044000002

r12: 0x0000000000001acc r13: 0x0000000000000000 r14: 0x0000000000000000 r15:

0x0000000000000000

r16: 0x0000000000000000 r17: 0x0000000000000000 r18: 0x0000000000000000 r19:

0x0000000000000000

r20: 0x0000000000000000 r21: 0x0000000000000000 r22: 0x0000000000000000 r23:

0x0000000000000000

r24: 0x0000000000000000 r25: 0x0000000000000000 r26: 0x00000000bffff3ec r27:

0x0000000000000000

r28: 0x0000000000000000 r29: 0x0000000000000000 r30: 0x0000000000000000 r31:

0x000000008fe01034

Binary Images Description:

0x1000 - 0x261fff emacs /opt/local/bin/emacs

0x389000 - 0x399fff libz.1.dylib /opt/local/lib/libz.1.dylib 0x3a7000 - 0x3c3fff libjpeg.62.dylib /opt/local/lib/libjpeg.62.dylib 0x505000 - 0x536fff libpng.3.dylib /opt/local/lib/libpng.3.dylib 0x713000 - 0x75cfff libtiff.3.dylib /opt/local/lib/libtiff.3.dylib

0x8fe00000 - 0x8fe54fff dyld 44.2 /usr/lib/dyld 0x90000000 - 0x901b3fff libSystem.B.dylib /usr/lib/libSystem.B.dylib 0x9020b000 - 0x9020ffff libmathCommon.A.dylib /usr/lib/system/libmathCommon.A.dylib 0x913b9000 - 0x913d9fff libmx.A.dylib /usr/lib/libmx.A.dylib 0x968bd000 - 0x968ebfff libncurses.5.4.dylib /usr/lib/libncurses.5.4.dylib 0x9b370000 - 0x9b37ffff libICE.6.dylib /usr/X11R6/lib/libICE.6.dylib 0x9b385000 - 0x9b38afff libSM.6.dylib /usr/X11R6/lib/libSM.6.dylib 0x9c542000 - 0x9c54dfff libXext.6.dylib /usr/X11R6/lib/libXext.6.dylib 0x9c552000 - 0x9c61afff libX11.6.dylib /usr/X11R6/lib/libX11.6.dylib 0x9c8e2000 - 0x9c924fff libXt.6.dylib /usr/X11R6/lib/libXt.6.dylib 0x9c973000 - 0x9c983fff libXmu.6.dylib /usr/X11R6/lib/libXmu.6.dylib 0x9c995000 - 0x9c9a0fff libXpm.4.dylib /usr/X11R6/lib/libXpm.4.dylib 0x9ffa7000 - 0x9ffeafff libXaw.7.dylib /usr/X11R6/lib/libXaw.7.dylib

comment:14 Changed 15 years ago by nathan.stocks@…

This is a "P1/Blocker" in my book.

Upgraded to Xcode 2.2, get the exact same error as in my last comment.

Emacs doesn't seem to be doing any local compiling (none that I see with -v anyway); just seems to unpack emacs-21.4a_1+darwin_8+x11.powerpc.tgz

I'm using Apple's X11.

Is this bug of any importance to any dev? It's gotta be about the oldest unaddressed bug in the system. Seriously, emacs w/X11 support is the ONLY reason that I've still got fink on my system. Everything else I need is in darwin ports.

comment:15 Changed 15 years ago by jmpp@…

The emacs port currently lacks maintainer, so I'd suggest the following to those interested:

-) Try the exisitng xemacs port and close this bug if that's successful, or

-) Pursue the culprit of these bugs further and provide a working patch against the broken emacs Portfile, including a maintainership takeover since the time invested, I believe, will acquaint you enough with the emacs build system to maintain the port.

Obviously the former is much more likely to happen, added to the fact that I hardly see an x11 variant as necessary when we already have an xemacs port, so I'd vote for the clousure of this bug. Unless I'm missing something about the x11 variant that xemacs doesn't cover..... ?

-jmpp

comment:16 Changed 15 years ago by danielluke (Daniel J. Luke)

(In reply to comment #11)

Emacs doesn't seem to be doing any local compiling (none that I see with -v anyway); just seems to unpack emacs-21.4a_1+darwin_8+x11.powerpc.tgz

That's because you need to do 'port clean --all emacs' and then port -d -v install emacs +x11 for it to try to build it again. (Otherwise, darwinports is just going to unpack the archive that it previously compiled).

comment:17 Changed 15 years ago by yeled@…

Cc: yeled@… added

comment:18 Changed 15 years ago by danielluke (Daniel J. Luke)

(In reply to comment #12)

I hardly see an x11 variant as necessary when we already have an xemacs port

emacs +x11 != xemacs

see http://www.jwz.org/doc/lemacs.html or http://www.xemacs.org/About/XEmacsVsGNUemacs.html for some history if you care ;-)

comment:19 Changed 15 years ago by yeled@…

Status: newassigned

(In reply to comment #12)

-) Try the exisitng xemacs port and close this bug if that's successful, or

xemacs works here. but that isn't what we're talking about.

comment:20 Changed 15 years ago by invalidname@…

Hi. Considering I'm the one who filed this ages ago, I thought I should note that emacs22 - still in alpha or earlier - builds an x11 version with no hassle. Just do ./configure --with-x before kicking off make.

So, the upstream fixes mentioned by Landon in his initial reply do indeed seem to be coming. How long it will be before emacs22 goes final is another matter entirely.

comment:21 Changed 15 years ago by nathan.stocks@…

Cc: nathan.stocks@… removed

I found that the 'emacs-devel +x11' port works great. Note that it checks out a prerelease version of emacs 22 (since it hasn't been released yet), so you may encounter some bugs in your usage.

  • Removed myself from the CC list

comment:22 Changed 15 years ago by jmpp@…

(In reply to comment #17)

I found that the 'emacs-devel +x11' port works great. Note that it checks out a prerelease version of emacs 22 (since it hasn't been released yet), so you may encounter some bugs in your usage.

So, since this is such an old bug and the problem is fixed by what may soon become the new emacs release (emacs-devel port), could we consider this bug as resolved and close it? Comments from the original reporter? Others?

-jmpp

comment:23 Changed 15 years ago by invalidname@…

Hi. Original poster here. I'm OK with closing as LATER or REMIND and hopefully remembering to close as fixed once emacs22 is final. WONTFIX seems an acceptable resolution too, given the situation and the documented workaround. Would be nice if there were a way in the emacs port file to point people to emacs-devel if they really need x11.

comment:24 Changed 15 years ago by jmpp@…

Resolution: later
Status: assignedclosed

I'm setting this bug to "Later", as the emacs-devel port currently provides a working x11 variant. Once the next emacs release is out we can revise this to see what the status is.

-jmpp

PS: I'll see about including a message in the x11 variant of the plain emacs port to point them to the devel of if their build fails, but I'm not yet too sure about it, sounds kinda lame to me.

comment:25 Changed 15 years ago by jmpp@…

I removed the x11 variant from the emacs port as it is totally broken, those who are interested in it can try emacs-devel, as it has a working one.

-jmpp

Note: See TracTickets for help on using tickets.